VERSION 5.00
Begin VB.Form Main 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "ResChanger"
   ClientHeight    =   3825
   ClientLeft      =   3165
   ClientTop       =   2670
   ClientWidth     =   3720
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3825
   ScaleWidth      =   3720
   Begin VB.OptionButton Option4 
      Caption         =   "1280x960"
      Height          =   255
      Left            =   360
      TabIndex        =   13
      Top             =   1440
      Width           =   1815
   End
   Begin VB.OptionButton Option1 
      Caption         =   "2048x1536 QXGA"
      Height          =   255
      Left            =   360
      TabIndex        =   12
      Top             =   720
      Width           =   1815
   End
   Begin VB.OptionButton Option2 
      Caption         =   "1600x1200 UXGA"
      Height          =   255
      Left            =   360
      TabIndex        =   11
      Top             =   960
      Width           =   1815
   End
   Begin VB.OptionButton Option3 
      Caption         =   "1280x1024 SXGA"
      Height          =   255
      Left            =   360
      TabIndex        =   10
      Top             =   1200
      Width           =   1815
   End
   Begin VB.CommandButton Command2 
      Caption         =   "OK"
      Height          =   375
      Left            =   2400
      TabIndex        =   8
      Top             =   3240
      Width           =   1095
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   5000
      Left            =   0
      Top             =   0
   End
   Begin VB.OptionButton Option5 
      Caption         =   "1152x864"
      Height          =   255
      Left            =   360
      TabIndex        =   5
      Top             =   1680
      Width           =   1815
   End
   Begin VB.OptionButton Option9 
      Caption         =   "320x240 QVGA"
      Height          =   255
      Left            =   360
      TabIndex        =   4
      Top             =   2640
      Width           =   1575
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Test"
      Height          =   255
      Left            =   2520
      TabIndex        =   3
      Top             =   1800
      Width           =   855
   End
   Begin VB.OptionButton Option6 
      Caption         =   "1024x768 XGA"
      Height          =   255
      Left            =   360
      TabIndex        =   2
      Top             =   1920
      Width           =   1575
   End
   Begin VB.OptionButton Option7 
      Caption         =   "800x600 SVGA"
      Height          =   255
      Left            =   360
      TabIndex        =   1
      Top             =   2160
      Width           =   1575
   End
   Begin VB.OptionButton Option8 
      Caption         =   "640x480 VGA"
      Height          =   255
      Left            =   360
      TabIndex        =   0
      Top             =   2400
      Width           =   1575
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "Version"
      Height          =   255
      Left            =   600
      TabIndex        =   9
      Top             =   400
      Width           =   2655
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "ResChanger"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   600
      TabIndex        =   7
      Top             =   120
      Width           =   2535
   End
   Begin VB.Label Label5 
      Alignment       =   2  'Center
      Caption         =   "If the new screen resolution doesn't work, either press Enter or wait 5 seconds."
      Height          =   615
      Left            =   120
      TabIndex        =   6
      Top             =   3000
      Width           =   2055
   End
End
Attribute VB_Name = "Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
Call GetCurrentRes
If ChooseRes = 1 Then Exit Sub
Timer1.Enabled = True
Dim Result As Integer
Result = MsgBox("Does this resolution work properly?", vbYesNo + vbDefaultButton2, "ResChanger")
If Result = 6 Or Result = 7 Then
    Timer1.Enabled = False
    Call ChangeRes(0, 0)
End If
End Sub

Private Sub Command2_Click()
Dim a As Integer
Call GetCurrentRes
a = ChooseRes
End
End Sub

Private Sub Form_Load()
Call GetCurrentRes
Label2.Caption = "Version " + LTrim(Str$(App.Major)) + "." + LTrim(Str$(App.Minor)) + "." + LTrim(Str$(App.Revision))
Me.Left = (Screen.Width / 2) - (Me.Width / 2)
Me.Top = (Screen.Height / 2) - (Me.Height / 2)
If CurrentResX = 2048 Then Option1.Value = True
If CurrentResX = 1600 Then Option2.Value = True
If CurrentResY = 1024 Then Option3.Value = True
If CurrentResY = 960 Then Option4.Value = True
If CurrentResX = 1152 Then Option5.Value = True
If CurrentResX = 1024 Then Option6.Value = True
If CurrentResX = 800 Then Option7.Value = True
If CurrentResX = 640 Then Option8.Value = True
If CurrentResX = 320 Then Option9.Value = True
End Sub

Private Sub Timer1_Timer()
Timer1.Enabled = False
Call ChangeRes(CurrentResX, CurrentResY)
End Sub

Private Function ChooseRes() As Integer
If Option1.Value = True And CurrentResX <> 2048 Then Call ChangeRes(2048, 1536): ChooseRes = 0: Exit Function
If Option2.Value = True And CurrentResX <> 1600 Then Call ChangeRes(1600, 1200): ChooseRes = 0: Exit Function
If Option3.Value = True And CurrentResY <> 1024 Then Call ChangeRes(1280, 1024): ChooseRes = 0: Exit Function
If Option4.Value = True And CurrentResY <> 960 Then Call ChangeRes(1280, 960): ChooseRes = 0: Exit Function
If Option5.Value = True And CurrentResX <> 1152 Then Call ChangeRes(1152, 864): ChooseRes = 0: Exit Function
If Option6.Value = True And CurrentResX <> 1024 Then Call ChangeRes(1024, 768): ChooseRes = 0: Exit Function
If Option7.Value = True And CurrentResX <> 800 Then Call ChangeRes(800, 600): ChooseRes = 0: Exit Function
If Option8.Value = True And CurrentResX <> 640 Then Call ChangeRes(640, 480): ChooseRes = 0: Exit Function
If Option9.Value = True And CurrentResX <> 320 Then Call ChangeRes(320, 200): ChooseRes = 0: Exit Function
ChooseRes = 1
End Function
